/*-
 ***********************************************************************
 *
 * $Id: app-includes.h,v 1.20 2006/05/30 23:41:24 mavrik Exp $
 *
 ***********************************************************************
 *
 * Copyright 2001-2006 Klayton Monroe, All Rights Reserved.
 *
 ***********************************************************************
 */
#include "ktypes.h"

#ifdef USE_SSL
#include "ssl.h"
#include "ssl-pool.h"
#endif

#ifdef USE_DSV
#include "dsv.h"
#endif

#include "socket.h"
#include "hook.h"
#include "http.h"
#include "md5.h"
#include "sha1.h"
#include "sha256.h"
#include "webjob.h"

#ifdef USE_AP_SNPRINTF
#include "ap_snprintf.h"
#define snprintf ap_snprintf
#endif

#ifdef WIN32
#define chdir _chdir
#define fdopen _fdopen
#define fstat _fstat
#define getpid _getpid
#define open _open
#define snprintf _snprintf
#define stat _stat
#define strcasecmp _stricmp
#define strncasecmp _strnicmp
#define unlink _unlink
#endif
